diff --git a/Makefile.PL b/Makefile.PL
index 7c35aec..6bfd36c 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -1,6 +1,10 @@
 use inc::Module::Install;
 name 'Module-Install-Repository';
 all_from 'lib/Module/Install/Repository.pm';
+
+{
+ no strict 'subs';
+
 auto_set_repository;
 
 test_requires 'Test::More';
@@ -10,3 +14,5 @@ use_test_base;
 auto_include_deps;
 author_tests('xt');
 WriteAll;
+
+}
